Search found 1845 matches

Go to advanced search

by mario52
Fri Mar 24, 2017 7:18 pm
Forum: Help on using FreeCAD
Topic: Coarse ellipse and circle defintion
Replies: 20
Views: 269

Re: Coarse ellipse and circle defintion

hi
try share with https://www.petit-fichier.fr/ (100 mgo)

mario
by mario52
Sun Mar 19, 2017 5:52 pm
Forum: Users Showcase
Topic: Architecture work in FreeCAD
Replies: 17
Views: 2318

Re: Architecture work in FreeCAD

hi
very good work
you use FreeCAD for your job ?

mario
by mario52
Sat Mar 18, 2017 11:00 am
Forum: Forum français
Topic: Remplir cartouche
Replies: 41
Views: 6779

Re: Remplir cartouche

Bonjour il faut que vous cherchiez le dossier ou se trouvent les feuilles de dessin sinon ça ne fonctionnera pas il y a eu déjà eu plusieurs posts sur le sujet je viens de trouver cette photo exemple (NormandC) ou l'on vois l'emplacement des feuilles ouvrez une page préinstallée dans le menu puis sé...
by mario52
Fri Mar 17, 2017 6:50 pm
Forum: FEM
Topic: Selecting internal faces of a pressure vessel
Replies: 10
Views: 686

Re: Selecting internal faces of a pressure vessel

hi
i add this line before self.dialog.show() and the window StaysOnTopHint

Code: Select all

        self.dialog.setWindowFlags(QtCore.Qt.WindowStaysOnTopHint)    #

        self.dialog.show()
        self.dialog.exec_()


mario
by mario52
Fri Mar 17, 2017 12:21 pm
Forum: Forum français
Topic: Remplir cartouche
Replies: 41
Views: 6779

Re: Remplir cartouche

Bonjour la vidéo que vous avez vue utilise l'ancienne version mais elle ne fonctionnera pas totalement car comme je l'ai écris sur la page cette macro travaille avec les feuilles dédiées (d'où l'erreur en entrée) ici pour les feuilles Françaises Misc_templates_Full/fr (il y a aussi Anglais et Italie...
by mario52
Thu Mar 16, 2017 9:47 pm
Forum: Python scripting and macros
Topic: Name of a solid in a compound - from selection
Replies: 21
Views: 350

Re: Name of a solid in a compound - from selection

hi extract to _TaskPanelFemMeshGroup.py selection = FreeCADGui.Selection.getSelection() print('selection element changed to Solid: ', selection[0].Shape.ShapeType, ' ', selection[0].Name) for i, s in enumerate(selection[0].Shape.Solids): for e in s.Edges: print e print for i, s in enumerate(selectio...
by mario52
Thu Mar 16, 2017 7:20 pm
Forum: Python scripting and macros
Topic: Name of a solid in a compound - from selection
Replies: 21
Views: 350

Re: Name of a solid in a compound - from selection

hi ok this is the object type internal, not name here other info by object # -*- coding: utf-8 -*- #liste les objets du projet en cours import os, ImportGui import FreeCAD from Draft import * doc = FreeCAD.ActiveDocument App.Console.PrintMessage("Document Name : " + str(doc.Name) + "\...
by mario52
Thu Mar 16, 2017 5:43 pm
Forum: Python scripting and macros
Topic: Name of a solid in a compound - from selection
Replies: 21
Views: 350

Re: Name of a solid in a compound - from selection

hi
There is no object named Solid3
(i have unziped with "Project utility.."

mario
by mario52
Thu Mar 16, 2017 3:22 pm
Forum: Python scripting and macros
Topic: Name of a solid in a compound - from selection
Replies: 21
Views: 350

Re: Name of a solid in a compound - from selection

hi the text " BooleanFragment001 " is long for the textedit try with the mouse in the text edit to see the complete name the code for this is: sel = FreeCADGui.Selection.getSelection() object_Name = sel[0].Name App.Console.PrintMessage("object_Name : "+str(object_Name)+"\n\n...

Go to advanced search